$(document).ready(function(){

    var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'))
var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
  return new bootstrap.Tooltip(tooltipTriggerEl)
})

    if($(".grid").length > 0){

        var msnry = new Masonry( '.grid', {
          // options
        });

    }

    $(".section_faq .item .box_1").click(function(event){

        var item = $(this).parents('.item');

        var text = $(this).parents('.item').children('.box_2');

        if(text.is(':visible')){

            $(".section_faq .item .box_2").slideUp(300);

            $(".section_faq .item").removeClass('active');

        }else{

            $(".section_faq .item .box_2").slideUp(300);

            $(".section_faq .item").removeClass('active');

            setTimeout(function(){

                text.slideDown(400);

                item.addClass('active');

            }, 100);

        }

    });


    $(".section_faq .box_ask .text1").click(function(event){

        var item = $(this).parents('.box_ask');

        var text = $(this).parents('.box_ask').children('.text2');

        if(text.is(':visible')){

            $(".section_faq .item .text2").slideUp(300);

        }else{

            $(".section_faq .item .text2").slideUp(300);

            setTimeout(function(){

                text.slideDown(400);

            }, 100);

        }

    });

    $(".menu_mobile .box_content .mother").click(function(event){

        var element = $(this).parents('li');
        var submenu = $(this).parents('li').children('.submenu');

        if(submenu.length > 0) {

            event.preventDefault();

            if(submenu.is(':visible')) {

                $('.menu_mobile .box_content .submenu').slideUp(200);

                setTimeout(function(){
                    $('.menu_mobile .box_content li').removeClass('active');
                }, 200);

                setTimeout(function(){
                    element.removeClass('active');
                }, 400);

            }else{

                $('.menu_mobile .box_content .submenu').slideUp(200);

                setTimeout(function(){
                    $('.menu_mobile .box_content li').removeClass('active');
                }, 200);

                submenu.slideDown(400);

                setTimeout(function(){
                    element.addClass('active');
                }, 400);

            }

        }

    });

    $(".lazyload").lazyload({
        effect : "fadeIn"
    });

    $(".fancybox").fancybox({
        padding: 0
    });

    $(".video_modal").fancybox({
        openEffect  : 'none',
        closeEffect : 'none',
        padding: 0,
        helpers : {
            media : {}
        }
    });

    $('.perfect_scrollbar').perfectScrollbar();

    /*listbox*/
    $( ".select_form" ).selectmenu(
    {
        classes: {
        "ui-selectmenu-button": "box_select",
        "ui-selectmenu-text": "option"
        },
        icons: { button: "arrow_select" }
    });
    /*listbox*/


    $('.bg_modal').on('click', function(){

        if( $('.menu_mobile').is(':visible') ){

            menu();

        }

    });

    $('.slide_members').slick({
        infinite: true,
        arrows: true,
        prevArrow: '<div class="prev"></div>',
        nextArrow: '<div class="next"></div>',
        slidesToShow: 5,
        slidesToScroll: 5,
        dots: false,
        autoplay: true,
        autoplaySpeed: 5000,
        responsive: [
            {
                breakpoint: 1020,
                settings: {
                    slidesToShow: 4,
                    slidesToScroll: 4,
                }
            },
            {
                breakpoint: 800,
                settings: {
                    slidesToShow: 3,
                    slidesToScroll: 3,
                }
            },
            {
                breakpoint: 600,
                settings: {
                    slidesToShow: 2,
                    slidesToScroll: 2,
                }
            }
        ]
    });


    $('.slide_banner_desktop').slick({
        infinite: true,
        arrows: true,
        prevArrow: '<div class="prev"></div>',
        nextArrow: '<div class="next"></div>',
        slidesToShow: 1,
        slidesToScroll: 1,
        dots: true,
        autoplay: true,
        autoplaySpeed: 5000,
        responsive: [
            {
                breakpoint: 993,
                settings: {
                    arrows: false
                }
            }
        ]
    });

    $('.slide_review').slick({
        infinite: true,
        arrows: true,
        prevArrow: '<div class="prev"></div>',
        nextArrow: '<div class="next"></div>',
        slidesToShow: 1,
        slidesToScroll: 1,
        dots: true,
        autoplay: true,
        autoplaySpeed: 5000,
        variableWidth: true
    });

});


function menu(){

    if( $('.menu_mobile').is(':visible') ){

        $('.menu_mobile').hide('slide', {'direction': 'right'}, 300);

        $('.bg_modal').fadeOut(400);

    }else{

        $('.menu_mobile').show('slide', {'direction': 'right'}, 400);

        $('.bg_modal').fadeIn(400);

    }

}



function header_fixed(){

    if( $(document).scrollTop() > $('.header').height() && !$('.header').hasClass('active') ){

        $('.header').addClass('active');

    }else if( $(document).scrollTop() <= $('.header').height() && $('.header').hasClass('active') ){

        $('.header').removeClass('active');

    }

}





function scroll_to(element){

    $("html, body").animate({scrollTop: $(element).offset().top}, 500);

}

function show_button(){

    if( $(document).scrollTop() > 400 ){

        if( !$('.back_top').is(':visible') ){
            $('.back_top').fadeIn(500);
        }

    }else{

        if( $('.back_top').is(':visible') ){
            $('.back_top').fadeOut(300);
        }

    }

}


function control_modal(id, action) {

    $(id).modal(action);

}


$(document).bind('scroll', function(){

    header_fixed();

    show_button();

});


$(window).resize(function(){

    control_slide_video();

});

window.addEventListener('load', (event) => {

    setTimeout(() => {

        control_slide_video();

        set_item_height('.section_plan .item .box_text');

    }, 500);

});


function control_slide_video(){

    if(window.innerWidth >= 1366){

        $('.slide_videos').slide_3d({
            num: 3,
            maxWidth: 550,
            maxHeight: 300,
            distance: 350,
            scale: 0.7,
            animationTime: 500,
            showTime: 4000
        });

    }else if(window.innerWidth >= 990){

        $('.slide_videos').slide_3d({
            num: 3,
            maxWidth: 500,
            maxHeight: 350,
            distance: 200,
            scale: 0.7,
            animationTime: 500,
            showTime: 4000
        });

    }else if(window.innerWidth >= 700){

        $('.slide_videos').slide_3d({
            num: 3,
            maxWidth: 400,
            maxHeight: 250,
            distance: 150,
            scale: 0.7,
            animationTime: 500,
            showTime: 4000
        });

    }else if(window.innerWidth >= 500){

        $('.slide_videos').slide_3d({
            num: 3,
            maxWidth: 200,
            maxHeight: 80,
            distance: 100,
            scale: 0.7,
            animationTime: 500,
            showTime: 4000
        });

    }else{

        $('.slide_videos').slide_3d({
            num: 3,
            maxWidth: 180,
            maxHeight: 80,
            distance: 80,
            scale: 0.7,
            animationTime: 500,
            showTime: 4000
        });

    }

}



function set_item_height(item){

    var i = 1;
    var _height = 0;
    var html_element = $(item);
    html_element.each(function(index, element){

        if($(element).height() > _height){
            _height = $(element).height();
        }

        i++;

        if(i > html_element.length){
            //html_element.css({'min-height':_height, 'border':'1px solid red'});
            html_element.height(_height);
        }

    });

}
