$(document).ready(function(){

    $('.box_amout .btn_less').on('click', function(){

        var field = $(this).parents('.box_amout').children('.amount');

        var field_value = field.val();

        if(isNaN(field_value) == false && field_value > 1){

            field_value--;

            field.val(field_value);

        }else{
            field.val(1);
        }

    });

    $('.box_amout .btn_plus').on('click', function(){

        var field = $(this).parents('.box_amout').children('.amount');

        var field_value = field.val();

        if(isNaN(field_value) == false && field_value > 0){

            field_value++;

            field.val(field_value);

        }else{
            field.val(1);
        }

    });

    $('.perfect_scrollbar').perfectScrollbar();

    /*listbox*/
    $( ".select_form" ).selectmenu(
    {
        classes: {
        "ui-selectmenu-button": "box_select",
        "ui-selectmenu-text": "option"
        },
        icons: { button: "arrow_select" }
    });
    /*listbox*/


    $('.bg_modal').on('click', function(){

        if( $('.menu_mobile').is(':visible') ){

            menu();

        }

    });

});


function menu(){

    if( $('.menu_mobile').is(':visible') ){

        $('.menu_mobile').hide('slide', {'direction': 'right'}, 300);

        $('.bg_modal').fadeOut(400);

    }else{

        $('.menu_mobile').show('slide', {'direction': 'right'}, 400);

        $('.bg_modal').fadeIn(400);

    }

}



function header_fixed(){

    if( $(document).scrollTop() > 10 && !$('.header_main').hasClass('active') ){

        $('.header_main').addClass('active');

    }else if( $(document).scrollTop() <= 10 && $('.header_main').hasClass('active') ){

        $('.header_main').removeClass('active');

    }

}





function scroll_to(element){

    $("html, body").animate({scrollTop: $(element).offset().top}, 500);

}


function control_modal(id, action) {

    $(id).modal(action);

}


$(document).bind('scroll', function(){

    header_fixed();

});


function set_item_height(item){

    var i = 1;
    var _height = 0;
    var html_element = $(item);
    html_element.each(function(index, element){

        if($(element).height() > _height){
            _height = $(element).height();
        }

        i++;

        if(i > html_element.length){
            //html_element.css({'min-height':_height, 'border':'1px solid red'});
            html_element.height(_height);
        }

    });

}


window.addEventListener('load', (event) => {

    setTimeout(() => {

        set_item_height('.section_plan .item .box_text');

    }, 500);

});



function seleciona_pagamento(id){

    if( !$(id).is(':visible') ){

        $('.box_payment').slideUp(200);

        $(id).slideDown(400);

    }

}


function remove_cart(id){

    $(id).slideUp(300);

}
